# Sway Stickynotes

Add a stickynote to your Sway workspace. This makes it easy to remember what you were doing on each workspace.

## Usage
 - Execute `stickynote` via an application launcher (e.g. `dmenu` using Super+D)
 - Edit the current workspace's stickynote text
 - Enjoy the helpful stickynote!

![Screenshot](screenshot.png)

## Install

### Scripts
Core script:
```
sudo cp sway_stickynotes /usr/local/bin/
```

Dialog launcher, edit this one if you don't use `termite` as your terminal emulator:
```
sudo cp stickynote /usr/local/bin/
```

### Waybar configuration
#### ~/.config/waybar/config
```
...
   	"modules-left": [
		"sway/workspaces",
        "custom/stickynote"
	],
...
    "custom/stickynote": {
        "exec": "sway_stickynotes get",
        "interval": 1
    },
```

#### ~/.config/waybar/style
```
#custom-stickynote {
    background: #1f1f1f;
    padding: 2px 10px;
    border: 1px solid #333;
}
```

Done!

